From: Robert P. J. Day <rpjday@crashcourse.ca>

Since the source file already includes the log2.h header file, it
seems pointless to re-invent the necessary routine.

Signed-off-by: Robert P. J. Day <rpjday@crashcourse.ca>
Signed-off-by: Alasdair G Kergon <agk@redhat.com>
---
 drivers/md/dm-snap.c |   13 +------------
 1 files changed, 1 insertion(+), 12 deletions(-)

Index: linux-2.6.24/drivers/md/dm-snap.c
===================================================================
--- linux-2.6.24.orig/drivers/md/dm-snap.c	2008-02-07 13:44:24.000000000 +0000
+++ linux-2.6.24/drivers/md/dm-snap.c	2008-02-07 13:48:15.000000000 +0000
@@ -334,16 +334,6 @@ static int calc_max_buckets(void)
 }
 
 /*
- * Rounds a number down to a power of 2.
- */
-static uint32_t round_down(uint32_t n)
-{
-	while (n & (n - 1))
-		n &= (n - 1);
-	return n;
-}
-
-/*
  * Allocate room for a suitable hash table.
  */
 static int init_hash_tables(struct dm_snapshot *s)
@@ -361,8 +351,7 @@ static int init_hash_tables(struct dm_sn
 	hash_size = min(origin_dev_size, cow_dev_size) >> s->chunk_shift;
 	hash_size = min(hash_size, max_buckets);
 
-	/* Round it down to a power of 2 */
-	hash_size = round_down(hash_size);
+	hash_size = rounddown_pow_of_two(hash_size);
 	if (init_exception_table(&s->complete, hash_size))
 		return -ENOMEM;
 
